# Class Iso8601ToJulian

java.lang.Object
uk.ac.starlink.ttools.convert.Iso8601Converter
uk.ac.starlink.ttools.convert.Iso8601ToJulian

All Implemented Interfaces:
  `ValueConverter`

public class Iso8601ToJulian extends Iso8601Converter
Converts between Strings in ISO-8601 format and numeric date as a Julian Year.

Since:
  23 Feb 2006
Author:
  Mark Taylor

## Nested Class Summary

### Nested classes/interfaces inherited from class Iso8601Converter

`Iso8601Converter.DateKit`

## Constructor Summary

Constructors
Constructor
Description
`Iso8601ToJulian(uk.ac.starlink.table.ValueInfo isoInfo)`
Constructs a new converter from ISO-8601 date Strings to Julian year Doubles.

## Method Summary

Modifier and Type
Method
Description
`protected double`
`fromMjd(double mjd)`
Converts from Modified Julian Date to this converter's public date.
`protected double`
`toMjd(double number)`
Converts from this converter's public date value to Modified Julian Date.
`String`
`toString()`

### Methods inherited from class Iso8601Converter

`convert, dateToMjd, getInputInfo, getKit, getOutputInfo, mjdToUnixMillis, unconvert, unixMillisToMjd`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Iso8601ToJulian

public Iso8601ToJulian(uk.ac.starlink.table.ValueInfo isoInfo)
Constructs a new converter from ISO-8601 date Strings to Julian year Doubles.

Parameters:
  `isoInfo` - input value metadata (describing ISO-8601 strings)

## Method Details

### toMjd

protected double toMjd(double number)
Description copied from class: `Iso8601Converter`
Converts from this converter's public date value to Modified Julian Date.

Specified by:
  `toMjd` in class `Iso8601Converter`
Parameters:
  `number` - date value
Returns:
  date as MJD

### fromMjd

protected double fromMjd(double mjd)
Description copied from class: `Iso8601Converter`
Converts from Modified Julian Date to this converter's public date.

Specified by:
  `fromMjd` in class `Iso8601Converter`
Parameters:
  `mjd` - date as MJD
Returns:
  date value

### toString

public String toString()

Overrides:
  `toString` in class `Object`